Class | Rake::MakefileLoader
In: | lib/rake/loaders/makefile.rb
Parent: | Object

Makefile loader to be used with the import file loader.

### Methods

load

### Public Instance methods

load(fn)

Load the makefile dependencies in `fn`.

[Source]

        # File lib/rake/loaders/makefile.rb, line 9
     9:     def load(fn)
    10:       buffer = ''
    11:       open(fn) do |mf|
    12:         mf.each do |line|
    13:           next if line =~ /^\s*#/
    14:           buffer << line
    15:           if buffer =~ /\\$/
    16:             buffer.sub!(/\\\n/, ' ')
    17:             state = :append
    18:           else
    19:             process_line(buffer)
    20:             buffer = ''
    21:           end
    22:         end
    23:       end
    24:       process_line(buffer) if buffer != ''
    25:     end

[Validate]